; NASM source, use nasm -f elf to compile.
; low-level system interrupt handler
bits 32

global SD32_SysIntHandler
extern SD32_ProcessSysInt

section .text

SD32_SysIntHandler:

; ASSUME THAT SS=DS=ES=16 !!! No segments are needed in flat address space!!!
	pushad

; stack frame
; ESP-> REGISTERS PUSHED BY PUSHAD
;              EIP
;              CS
;              EFLAGS
; if stack switch:
;               ESP
;               SS
	
	push esp
	call SD32_ProcessSysInt

	popad
	iret
 
	 
  
