unit sdsysint;
interface
uses gentypes,sdcommon;

// used by asm code:

  procedure SysIntHandler;stdcall;
  procedure ProcessSysInt( p_frame:PSysIntStackFrame );stdcall;

implementation

  procedure ProcessSysInt( p_frame:PSysIntStackFrame );stdcall;alias : 'SD32_ProcessSysInt';
  begin
    // TODO: process system requests
  end;


  procedure SysIntHandler; stdcall;external name 'SD32_SysIntHandler';
  {$L sysint_a.o}
  
{
asm
// ASSUME THAT SS=DS=ES=16 !!! No segments are needed in flat address space!!!
 pushad
  
 ///////
 // stack frame
 // ESP-> REGISTERS PUSHED BY PUSHAD
 //             
 //            EIP
 //            CS
 //            EFLAGS
 ///////
 // if stack switch:
 ///////
 //             ESP
 //             SS
 
 push esp
 call ProcessSysInt
 
 
 // ---------
 popad
 iretd
end;

}

end.